Start installation test
curl --request PUT \
--url https://api.orbital-systems.com/client/showers/{id}/installation \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"email": "installer@example.com",
"heater_power_available": 3.2
}
'import requests
url = "https://api.orbital-systems.com/client/showers/{id}/installation"
payload = {
"email": "installer@example.com",
"heater_power_available": 3.2
}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({email: 'installer@example.com', heater_power_available: 3.2})
};
fetch('https://api.orbital-systems.com/client/showers/{id}/installation', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.orbital-systems.com/client/showers/{id}/installation",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'email' => 'installer@example.com',
'heater_power_available' => 3.2
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.orbital-systems.com/client/showers/{id}/installation"
payload := strings.NewReader("{\n \"email\": \"installer@example.com\",\n \"heater_power_available\": 3.2\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("x-api-key", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://api.orbital-systems.com/client/showers/{id}/installation")
.header("x-api-key", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"email\": \"installer@example.com\",\n \"heater_power_available\": 3.2\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.orbital-systems.com/client/showers/{id}/installation")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["x-api-key"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"email\": \"installer@example.com\",\n \"heater_power_available\": 3.2\n}"
response = http.request(request)
puts response.read_body{
"id": "9c8b7a6d-5e4f-4a3b-9c2d-1e0f9a8b7c6d",
"action": "run",
"test_id": "7a6b5c4d-3e2f-4a1b-9c8d-7e6f5a4b3c2d"
}{
"message": "Shower not found",
"statusCode": 404,
"name": "NotFoundError"
}{
"message": "Internal server error"
}Shower installation.
Start installation test
PUT
/
client
/
showers
/
{id}
/
installation
Start installation test
curl --request PUT \
--url https://api.orbital-systems.com/client/showers/{id}/installation \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"email": "installer@example.com",
"heater_power_available": 3.2
}
'import requests
url = "https://api.orbital-systems.com/client/showers/{id}/installation"
payload = {
"email": "installer@example.com",
"heater_power_available": 3.2
}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({email: 'installer@example.com', heater_power_available: 3.2})
};
fetch('https://api.orbital-systems.com/client/showers/{id}/installation', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.orbital-systems.com/client/showers/{id}/installation",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'email' => 'installer@example.com',
'heater_power_available' => 3.2
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.orbital-systems.com/client/showers/{id}/installation"
payload := strings.NewReader("{\n \"email\": \"installer@example.com\",\n \"heater_power_available\": 3.2\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("x-api-key", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://api.orbital-systems.com/client/showers/{id}/installation")
.header("x-api-key", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"email\": \"installer@example.com\",\n \"heater_power_available\": 3.2\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.orbital-systems.com/client/showers/{id}/installation")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["x-api-key"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"email\": \"installer@example.com\",\n \"heater_power_available\": 3.2\n}"
response = http.request(request)
puts response.read_body{
"id": "9c8b7a6d-5e4f-4a3b-9c2d-1e0f9a8b7c6d",
"action": "run",
"test_id": "7a6b5c4d-3e2f-4a1b-9c8d-7e6f5a4b3c2d"
}{
"message": "Shower not found",
"statusCode": 404,
"name": "NotFoundError"
}{
"message": "Internal server error"
}Authorizations
Send your API key in the x-api-key header of every request. The key belongs to one Orbital account, and requests act as that account: they see and control only the devices it owns or has been given access to. A missing or unknown key gets 403 with { "message": "Forbidden" }.
Path Parameters
The shower ID
Body
application/json
Was this page helpful?